/// <reference types="react" />
import * as React from 'react';
import { Store } from '@xterm-stack/client-redux';
import { ApolloError } from 'react-apollo';
export interface IXtermHeaderProps {
    loading?: boolean;
    error?: ApolloError;
    color?: Store.Color;
    theme?: Store.Theme;
    styles?: any;
    activeInstance?: Store.TerminalInstance;
    terminalInstances?: Store.TerminalInstance[];
    refetchTerminalInstances?: Function;
    refetchActiveInstance?: Function;
    deleteInstance?: Function;
    loadColor?: Function;
    setColor?: Function;
    loadTheme?: Function;
    setTheme?: Function;
    removeInstanceBuffer?: (id: number) => void;
    createInstance?: () => void;
    activateInstance?: (instance: any) => void;
}
declare const _default: React.ComponentClass<any>;
export default _default;
